Bug 663992 - repo --name=updates does not work
Summary: repo --name=updates does not work
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-17 16:26 UTC by Bill Peck
Modified: 2011-12-22 19:23 UTC (History)
2 users (show)

Fixed In Version: anaconda-15.15-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-22 19:23:45 UTC
Type: ---


Attachments (Terms of Use)

Description Bill Peck 2010-12-17 16:26:35 UTC
Description of problem:

According to the docs and Spot you should be able to turn on the updates repo from kickstart with the following:

repo --name=updates

This fails with anaconda complaining that we are not providing --baseurl or --mirrorlist.

If I fill in either of those options we still don't get any updates installed.

If I then change the name of the repo to --local-updates, then it works.

So specifying a repo name of updates must conflict with the internal repo, but there doesn't seem to be any way to turn this on.


Hopefully this can be sorted out in rawhide and F15.

Thanks!

Comment 1 Chris Lumens 2011-01-06 21:08:38 UTC
Do you see the log message:

log.warning("ignoring duplicate repository %s with URL %s" % (repo.name, repo.mirrorlist or repo.baseurl[0]))

If so, that would confirm your theory that the name is conflicting with the internal repo.  I also think you're right on the rest of this too.

I don't know where the documentation says you can do this, but it certainly has never worked.  One of mirrorlist or baseurl has always been required for the repo command  We can probably change it to make a repo without mirrorlist/baseurl refer to a previously defined Fedora one and if that fails, then fail the whole thing instead.

Comment 2 Chris Lumens 2011-01-06 21:13:04 UTC
Are you also going to want to set cost, excludepkgs, includepkgs, proxy, etc. on the updates repo?  Or, can I get away with saying if you provide the name of something that already exists in the repo config files, all you can do is enable it?

Comment 3 Bill Peck 2011-01-06 22:01:07 UTC
I don't think we need to set any of those things.  If we are asking for a pre-defined repo we want the defaults of that repo.

Thanks


Note You need to log in before you can comment on or make changes to this bug.